#pragma once

#include "SpiderLib/NumberTypes.hpp"

#include <string>


class IRSender {
  public:
    IRSender(u8 TXpin, u8 CLKpin, u8 UARTchannel = 1, u8 LEDCchannel = 7);

    void send(u8 byte);
    void send(std::string &data);
    void send(u8 *buffer, size_t length);


};
